Installed Preloader, and enabled the upgrade protection.
Ran Mariokart without a hitch. Still at 3.2e.
Thx guys

Chaos